## maradns 0.9.15

=== dns/Makefile ===
DOBJECTS=Queries.o Compress.o bobbit.o
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
OBJECTS=$(DOBJECTS) $(JOBJS) $(MJOBJS)

FLAGS = -O2 -Wall $(DEBUG)
#FLAGS = -g $(DEBUG)

all: Queries.o Compress.o bobbit.o

clean:
	rm -f Queries.o Compress.o bobbit.o

Queries.o: Queries.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Queries.o Queries.c 

Compress.o: Compress.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Compress.o Compress.c 

bobbit.o: bobbit.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o bobbit.o bobbit.c

=== libs/Makefile ===
OBJECTS = JsStr.o JsStrOS.o JsStrCP.o MaraHash.o
FLAGS = -O2 -Wall $(DEBUG)
#FLAGS = -g -DDEBUG -DTHREADS
#FLAGS = -g $(DEBUG)

all: tests mtest

clean:
	rm -f core $(OBJECTS) tests mtest

MaraHash.o: JsStr.h MaraHash.c
	$(CC) -c $(FLAGS) -o MaraHash.o MaraHash.c 

JsStr.o: JsStr.h JsStr.c
	$(CC) -c $(FLAGS) -o JsStr.o JsStr.c 

JsStrOS.o: JsStr.h JsStrOS.c
	$(CC) -c $(FLAGS) -o JsStrOS.o JsStrOS.c 

JsStrCP.o: JsStr.h JsStrCP.c
	$(CC) -c $(FLAGS) -o JsStrCP.o JsStrCP.c 

mtest: mtest.c $(OBJECTS)
	$(CC) $(FLAGS) -o mtest mtest.c $(OBJECTS)

tests: tests.c $(OBJECTS)
	$(CC) $(FLAGS) -o tests tests.c $(OBJECTS)

#onetime: $(OBJECTS) kiwi.h config.h onetime.c do_scramble.o cryptdate.o
#	$(CC) $(FLAGS) -o onetime onetime.c do_scramble.o cryptdate.o

=== parse/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
POBJECTS=ParseMaraRc.o ParseCsv1.o ParseIpAcl.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
OBJECTS=$(JOBJS) $(MJOBJS) $(POBJECTS) $(DOBJECTS)
EXECS=parsetest parsetest2

FLAGS = -O2 -Wall $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f $(POBJECTS) core $(EXECS) 

../libs/tests:
	cd libs ; make

ParseMaraRc.o: ParseMaraRc.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h ParseMaraRc_en.h
	$(CC) -c $(FLAGS) -o ParseMaraRc.o ParseMaraRc.c 

ParseCsv1.o: ParseCsv1.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o ParseCsv1.o ParseCsv1.c 

ParseIpAcl.o: ParseIpAcl.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o ParseIpAcl.o ParseIpAcl.c

parsetest: parsetest.c $(OBJECTS) 
	$(CC) $(FLAGS) -o parsetest parsetest.c $(OBJECTS) 

parsetest2: parsetest2.c $(OBJECTS) 
	$(CC) $(FLAGS) -o parsetest2 parsetest2.c $(OBJECTS)

=== rng/Makefile ===
# Written because some makes (such as NetBSD's make) do not like the Makefile
# the original Rijndael code came with.

ROBJECTS=rng-alg-fst.o rng-api-fst.o
OBJECTS=$(ROBJECTS)
TABLES=rng-32bit-tables.h

FLAGS = -O2 -Wall
#FLAGS = -g

all: $(ROBJECTS) 

clean:
	rm -f $(ROBJECTS) core make_32bit_tables $(TABLES)

rng-alg-fst.o: rng-alg-fst.c rng-alg-fst.h $(TABLES)
	$(CC) -c $(FLAGS) -o rng-alg-fst.o rng-alg-fst.c

rng-api-fst.o: rng-alg-fst.o rng-api-fst.h 
	$(CC) -c $(FLAGS) -o rng-api-fst.o rng-api-fst.c

make_32bit_tables: make_32bit_tables.c
	$(CC) -o make_32bit_tables make_32bit_tables.c

rng-32bit-tables.h: make_32bit_tables
	./make_32bit_tables > rng-32bit-tables.h

=== server/Makefile ===
SOBJECTS=MaraBigHash.o recursive.o
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o ../parse/ParseIpAcl.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
ROBJECTS=../rng/rng-api-fst.o ../rng/rng-alg-fst.o
OBJECTS=$(JOBJS) $(MJOBJS) $(SOBJECTS) $(DOBJECTS) $(POBJECTS) $(ROBJECTS)
EXECS=maradns

#FLAGS = -O2 -Wall
#FLAGS = -g -DDEBUG -DCALL_LOCKS
#FLAGS = -g -DCALL_LOCKS $(DEBUG)
#FLAGS = -g -DDEBUG 
#FLAGS = -g -DDEBUG -DNOTHREAD
#FLAGS = -g $(DEBUG) -DNOTHREAD -DDEBUG
#FLAGS = -g -DDEBUG_MEMORY $(DEBUG) 
#FLAGS = -g $(DEBUG) 
FLAGS = -O2 -Wall $(DEBUG)

all: $(EXECS)

clean:
	rm -f $(SOBJECTS) core $(EXECS) 

libs/tests:
	cd libs ; make

MaraBigHash.o: MaraBigHash.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h MaraBigHash_locale.h
	$(CC) -c $(FLAGS) -o MaraBigHash.o MaraBigHash.c 

recursive.o: recursive.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o recursive.o recursive.c 

maradns: MaraDNS.c $(OBJECTS) MaraDNS_en.h
	$(CC) $(FLAGS) -DVERSION=\"$(VERSION)\" -DCOMPILED=\"$(COMPILED)\" -o maradns MaraDNS.c $(OBJECTS) -lpthread

=== sqa/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
ROBJECTS=../rng/rng-api-fst.o ../rng/rng-alg-fst.o
OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(ROBJECTS)
EXECS=asktest qr.test aaaatest dead_host_simulate sendudp

FLAGS = -O2 $(DEBUG)
#FLAGS = -g -DDEBUG

all: $(EXECS)

clean:
	rm -f core $(EXECS)

asktest: asktest.c ../tools/askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o asktest asktest.c $(OBJECTS) 

sendudp: sendudp.c ../tools/askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o sendudp sendudp.c $(OBJECTS) 

qr.test: qr.test.c ../tools/askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o qr.test qr.test.c $(OBJECTS) 

aaaatest: aaaatest.c ../tools/askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o aaaatest aaaatest.c $(OBJECTS) 

dead_host_simulate: dead_host_simulate.c $(OBJECTS) 
	$(CC) $(FLAGS) -o dead_host_simulate dead_host_simulate.c $(OBJECTS)

=== test/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o ../parse/ParseIpAcl.o
ROBJECTS=../rng/rng-alg-fst.o ../rng/rng-api-fst.o
OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS)
EXECS=rtest csv1test compress.test show.charnum ipacltest rngtest

FLAGS = -O2 $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f core $(EXECS) 

libs/tests:
	cd libs ; make

rngtest: rngtest.c $(ROBJECTS)
	$(CC) $(FLAGS) -o rngtest rngtest.c $(ROBJECTS)

rtest: rtest.c $(OBJECTS)
	$(CC) $(FLAGS) -o rtest rtest.c $(OBJECTS)

csv1test: csv1test.c $(OBJECTS) 
	$(CC) $(FLAGS) -o csv1test csv1test.c $(OBJECTS)

compress.test: compress.test.c $(OBJECTS)
	$(CC) $(FLAGS) -o compress.test compress.test.c $(OBJECTS)

show.charnum: show.charnum.c 
	$(CC) $(FLAGS) -o show.charnum show.charnum.c 

ipacltest: ipacltest.c $(OBJECTS)
	$(CC) $(FLAGS) -o ipacltest ipacltest.c $(OBJECTS)

=== tools/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS)
ROBJECTS=../rng/rng-alg-fst.o ../rng/rng-api-fst.o
EXECS=askmara strip.control benchmark 

FLAGS = -O2 $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f core $(EXECS)

askmara: askmara.c askmara_labels_en.h $(OBJECTS) $(ROBJECTS)
	$(CC) $(FLAGS) -o askmara askmara.c $(OBJECTS) $(ROBJECTS)

benchmark: benchmark.c askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o benchmark benchmark.c $(OBJECTS)

strip.control: strip.control.c
	$(CC) $(FLAGS) -o strip.control strip.control.c

=== tuzona/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
POBJECTS=../parse/ParseCsv1.o ../parse/ParseMaraRc.o ../parse/ParseIpAcl.o
OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS)
EXECS=getzone zoneserver

FLAGS = -O2 -Wall $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f core $(EXECS)

getzone: getzone.c $(OBJECTS) 
	$(CC) $(FLAGS) -o getzone getzone.c $(OBJECTS)

zoneserver: zoneserver.c $(OBJECTS)
	$(CC) $(FLAGS) -DVERSION=\"$(VERSION)\" -o zoneserver zoneserver.c $(OBJECTS)

=== utf8/Makefile ===
UOBJECTS=Utf8.o
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
OBJECTS=$(UOBJECTS) $(JOBJS) $(MJOBJS)
EXECS=utf8test

FLAGS = -O2 $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f $(UOBJECTS) core $(EXECS)

Utf8.o: Utf8.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Utf8.o Utf8.c 

utf8test: utf8test.c $(OBJECTS) 
	$(CC) $(FLAGS) -o utf8test utf8test.c $(OBJECTS)

=== doc/en/Makefile ===
all: faq.txt faq.html QuickStart credits.txt changelog.txt files.txt

clean:
	rm -f faq.txt faq.html QuickStart

faq.html: source/faq.ej source/faq.embed
	../../tools/ej/ej2html source/faq.ej > faq.html

faq.txt: source/faq.ej source/faq.embed
	../../tools/ej/ej2txt source/faq.ej > faq.txt

QuickStart: source/quick_start.ej
	../../tools/ej/ej2txt source/quick_start.ej > QuickStart

credits.txt: source/credits.ej source/credits.embed
	../../tools/ej/ej2txt source/credits.ej > credits.txt

changelog.txt: source/changelog.ej source/changelog.embed
	../../tools/ej/ej2txt source/changelog.ej > changelog.txt

files.txt: source/files.ej
	../../tools/ej/ej2txt source/files.ej > files.txt

=== doc/fr/Makefile ===
all: faq.txt faq.html QuickStart

clean:
	rm -f faq.txt faq.html QuickStart

faq.html: source/faq.ej source/faq.embed
	../../tools/ej/ej2html source/faq.ej > faq.html

faq.txt: source/faq.ej source/faq.embed
	../../tools/ej/ej2txt source/faq.ej > faq.txt

QuickStart: source/quick_start.ej
	../../tools/ej/ej2txt source/quick_start.ej > QuickStart

## maradns 1.0.23

=== dns/Makefile ===
DOBJECTS=Queries.o Compress.o bobbit.o Decompress.o
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
OBJECTS=$(DOBJECTS) $(JOBJS) $(MJOBJS)

FLAGS = -g -O2 -Wall $(DEBUG)
#FLAGS = -g $(DEBUG)

all: Queries.o Compress.o bobbit.o Decompress.o

clean:
	rm -f Queries.o Compress.o bobbit.o Decompress.o

Queries.o: Queries.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Queries.o Queries.c 

Compress.o: Compress.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Compress.o Compress.c 

Decompress.o: Decompress.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Decompress.o Decompress.c 

bobbit.o: bobbit.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o bobbit.o bobbit.c

## maradns 1.0.27

=== libs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 OBJECTS = JsStr.o JsStrOS.o JsStrCP.o MaraHash.o
-FLAGS = -O2 -Wall $(DEBUG)
+FLAGS = -g -O2 -Wall $(DEBUG)
 #FLAGS = -g -DDEBUG -DTHREADS
 #FLAGS = -g $(DEBUG)

=== maragen/Makefile ===
inputs = $(wildcard zones/*)
dbfiles = $(foreach db, $(inputs), db.$(notdir $(db)))
includes = common.inc local.inc

all: mararc $(dbfiles)

clean:
	rm -f zones.txt zones.inc

scrub: clean
	rm -f mararc $(dbfiles)

mararc: mararc.m4 zones.inc
	rm -f $@
	m4 $< > $@
	chmod -w $@

db.%: zones/% serial common.inc local.inc
	m4 $(includes) $< > $@

serial: $(inputs) $(includes)
	[ -f serial ] || echo 0 > serial
	awk '{ print $$0 + 1; }' serial > serial.new
	mv serial.new serial

local.inc:
	touch $@

.INTERMEDIATE: zones.txt
zones.txt: $(dbfiles)
	(for i in $(dbfiles); do echo $$i; done) > $@

zones.inc: zones.txt
	awk -F '\.' '{ print("csv1[\"" $$2 "." $$3 ".\"] = \"" $$0 "\""); }' $< > $@

=== parse/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
 MJOBJS=../libs/MaraHash.o
 POBJECTS=ParseMaraRc.o ParseCsv1.o ParseIpAcl.o
-DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
+DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o ../server/timestamp.o
 OBJECTS=$(JOBJS) $(MJOBJS) $(POBJECTS) $(DOBJECTS)
 EXECS=parsetest parsetest2
 
-FLAGS = -O2 -Wall $(DEBUG)
+FLAGS = -g -O2 -Wall $(DEBUG)
 #FLAGS = -g $(DEBUG)
 
 all: $(EXECS)

=== rng/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 OBJECTS=$(ROBJECTS)
 TABLES=rng-32bit-tables.h
 
-FLAGS = -O2 -Wall
+FLAGS = -g -O2 -Wall
 #FLAGS = -g
 
 all: $(ROBJECTS)

=== server/Makefile ===
SOBJECTS=MaraBigHash.o recursive.o timestamp.o
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o ../parse/ParseIpAcl.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
ROBJECTS=../rng/rng-api-fst.o ../rng/rng-alg-fst.o
OBJECTS=$(JOBJS) $(MJOBJS) $(SOBJECTS) $(DOBJECTS) $(POBJECTS) $(ROBJECTS)
EXECS=maradns

#FLAGS = -g -g -O2 -Wall
#FLAGS = -g -DDEBUG -DCALL_LOCKS
#FLAGS = -g -DCALL_LOCKS $(DEBUG)
#FLAGS = -g -DDEBUG 
#FLAGS = -g -DDEBUG -DNOTHREAD
#FLAGS = -g $(DEBUG) -DNOTHREAD -DDEBUG
#FLAGS = -g -DDEBUG_MEMORY $(DEBUG) 
#FLAGS = -g $(DEBUG) 
FLAGS = -g -O2 -Wall $(DEBUG)

all: $(EXECS)

clean:
	rm -f $(SOBJECTS) core $(EXECS) 

libs/tests:
	cd libs ; make

MaraBigHash.o: MaraBigHash.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h MaraBigHash_locale.h
	$(CC) -c $(FLAGS) -o MaraBigHash.o MaraBigHash.c 

recursive.o: recursive.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o recursive.o recursive.c 

timestamp.o: timestamp.c MaraDNS_locale.h
	$(CC) -c $(FLAGS) -o timestamp.o timestamp.c

maradns: MaraDNS.c $(OBJECTS) MaraDNS_locale.h
	$(CC) $(FLAGS) -DVERSION=\"$(VERSION)\" -DCOMPILED=\"$(COMPILED)\" -o maradns MaraDNS.c $(OBJECTS) -lpthread

=== sqa/Makefile ===
--- 
+++ 
@@ -1,11 +1,15 @@
 JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
 MJOBJS=../libs/MaraHash.o
-DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
+DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
 ROBJECTS=../rng/rng-api-fst.o ../rng/rng-alg-fst.o
-OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(ROBJECTS)
-EXECS=asktest qr.test aaaatest dead_host_simulate sendudp
+# We need this for show_esc_stdout (yes, this should be elsewhere...)
+POBJECTS=../parse/ParseCsv1.o ../parse/ParseMaraRc.o
+# We need this for show_timestamp
+SOBJECTS=../server/timestamp.o
+OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(ROBJECTS) $(POBJECTS) $(SOBJECTS)
+EXECS=asktest qr.test aaaatest dead_host_simulate sendudp sendtcp
 
-FLAGS = -O2 $(DEBUG)
+FLAGS = -g -O2 $(DEBUG)
 #FLAGS = -g -DDEBUG
 
 all: $(EXECS)
@@ -15,6 +19,10 @@
 
 asktest: asktest.c ../tools/askmara_labels_en.h $(OBJECTS) 
 	$(CC) $(FLAGS) -o asktest asktest.c $(OBJECTS) 
+
+sendtcp: sendtcp.c ../tools/askmara_labels_en.h ../tuzona/getzone_locale.h \
+         $(OBJECTS) 
+	$(CC) $(FLAGS) -o sendtcp sendtcp.c $(OBJECTS) 
 
 sendudp: sendudp.c ../tools/askmara_labels_en.h $(OBJECTS) 
 	$(CC) $(FLAGS) -o sendudp sendudp.c $(OBJECTS)

=== test/Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
 JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
 MJOBJS=../libs/MaraHash.o
-DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
+DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o \
+         ../dns/Decompress.o ../server/timestamp.o
 POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o ../parse/ParseIpAcl.o
 ROBJECTS=../rng/rng-alg-fst.o ../rng/rng-api-fst.o
 OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS)
-EXECS=rtest csv1test compress.test show.charnum ipacltest rngtest
+EXECS=rtest csv1test compress.test show.charnum ipacltest rngtest cst \
+      timestamp compress_new.test
 
-FLAGS = -O2 $(DEBUG)
+FLAGS = -g -O2 $(DEBUG)
 #FLAGS = -g $(DEBUG)
 
 all: $(EXECS)
@@ -29,9 +31,17 @@
 compress.test: compress.test.c $(OBJECTS)
 	$(CC) $(FLAGS) -o compress.test compress.test.c $(OBJECTS)
 
+compress_new.test: compress_new.test.c $(OBJECTS)
+	$(CC) $(FLAGS) -o compress_new.test compress_new.test.c $(OBJECTS)
+
 show.charnum: show.charnum.c 
 	$(CC) $(FLAGS) -o show.charnum show.charnum.c 
 
 ipacltest: ipacltest.c $(OBJECTS)
 	$(CC) $(FLAGS) -o ipacltest ipacltest.c $(OBJECTS)
 
+cst: cst.c $(OBJECTS)
+	$(CC) $(FLAGS) -o cst cst.c $(OBJECTS)
+
+timestamp: timestamp.c $(OBJECTS)
+	$(CC) $(FLAGS) -o timestamp timestamp.c $(OBJECTS)

=== utf8/Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
 MJOBJS=../libs/MaraHash.o
 OBJECTS=$(UOBJECTS) $(JOBJS) $(MJOBJS)
-EXECS=utf8test
+EXECS=utf8test l1toutf8 utf8tol1 lcol
 
-FLAGS = -O2 $(DEBUG)
+FLAGS = -g -O2 $(DEBUG)
 #FLAGS = -g $(DEBUG)
 
 all: $(EXECS)
@@ -18,3 +18,12 @@
 utf8test: utf8test.c $(OBJECTS) 
 	$(CC) $(FLAGS) -o utf8test utf8test.c $(OBJECTS) 
 
+l1toutf8: l1toutf8.c
+	$(CC) $(FLAGS) -o l1toutf8 l1toutf8.c
+
+utf8tol1: utf8tol1.c
+	$(CC) $(FLAGS) -o utf8tol1 utf8tol1.c
+
+lcol: lcol.c
+	$(CC) $(FLAGS) -o lcol lcol.c
+

=== tools/misc/Makefile ===
ROBJECTS=../../rng/rng-alg-fst.o ../../rng/rng-api-fst.o
EXECS=marahash

FLAGS = -g -O2
#FLAGS = -g

all: $(EXECS)

clean:
	rm -f core $(EXECS)

marahash: $(ROBJECTS) rnghash.c
	$(CC) $(FLAGS) -o marahash rnghash.c $(ROBJECTS)

## maradns 1.0.28

=== tuzona/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
 MJOBJS=../libs/MaraHash.o
-DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
+DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
 POBJECTS=../parse/ParseCsv1.o ../parse/ParseMaraRc.o ../parse/ParseIpAcl.o
-OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS)
+SOBJECTS=../server/timestamp.o
+OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS) $(SOBJECTS)
 EXECS=getzone zoneserver
 
-FLAGS = -O2 -Wall $(DEBUG)
+FLAGS = -g -O2 -Wall $(DEBUG)
 #FLAGS = -g $(DEBUG)
 
 all: $(EXECS)

## maradns 1.0.35

=== server/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #FLAGS = -g $(DEBUG) -DNOTHREAD -DDEBUG
 #FLAGS = -g -DDEBUG_MEMORY $(DEBUG) 
 #FLAGS = -g $(DEBUG) 
-FLAGS = -g -O2 -Wall $(DEBUG)
+FLAGS = -g -O2 -Wall $(DEBUG) $(DEFINES)
 
 all: $(EXECS)

=== tools/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
SOBJECTS=../server/timestamp.o
OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(SOBJECTS)
ROBJECTS=../rng/rng-alg-fst.o ../rng/rng-api-fst.o
POBJECTS=../parse/ParseCsv1.o ../parse/ParseMaraRc.o
EXECS=askmara strip.control benchmark 

FLAGS = -g -O2 $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f core $(EXECS)

askmara: askmara.c askmara_labels_en.h $(OBJECTS) $(ROBJECTS) $(POBJECTS)
	$(CC) $(FLAGS) -o askmara askmara.c $(OBJECTS) $(ROBJECTS) $(POBJECTS)

benchmark: benchmark.c askmara_labels_en.h $(OBJECTS) $(POBJECTS)
	$(CC) $(FLAGS) -o benchmark benchmark.c $(OBJECTS) $(POBJECTS)

strip.control: strip.control.c
	$(CC) $(FLAGS) -o strip.control strip.control.c

=== doc/en/tutorial/Makefile ===
all: tutorial.html man.csv1.html man.mararc.html man.maradns.html \
     authoritative.html compile.html convert.html recursive.html \
     glossary.html recordtypes.html dangling.html

clean:
	rm -f tutorial.html man.csv1.html man.mararc.html man.maradns.html \
	  authoritative.html compile.html convert.html recursive.html \
	  glossary.html recordtypes.html

man.maradns.html: ../source/maradns.ej ../source/faq.embed \
                  ../source/credits.embed
	../../../tools/ej/ej2html ../source/maradns.ej > man.maradns.html

man.mararc.html: ../source/mararc.ej
	../../../tools/ej/ej2html ../source/mararc.ej > man.mararc.html

man.csv1.html: ../source/csv1.ej
	../../../tools/ej/ej2html ../source/csv1.ej > man.csv1.html

tutorial.html: ../source/tutorial.ej
	../../../tools/ej/ej2html ../source/tutorial.ej > tutorial.html

authoritative.html: ../source/authoritative.ej
	../../../tools/ej/ej2html ../source/authoritative.ej > \
	    authoritative.html

compile.html: ../source/compile.ej
	../../../tools/ej/ej2html ../source/compile.ej > compile.html

convert.html: ../source/convert.ej
	../../../tools/ej/ej2html ../source/convert.ej > convert.html

recursive.html: ../source/recursive.ej
	../../../tools/ej/ej2html ../source/recursive.ej > \
	  recursive.html

glossary.html: ../source/glossary.ej
	../../../tools/ej/ej2html ../source/glossary.ej > \
	  glossary.html

recordtypes.html: ../source/recordtypes.ej
	../../../tools/ej/ej2html ../source/recordtypes.ej > \
	  recordtypes.html

dangling.html: ../source/dangling.ej
	../../../tools/ej/ej2html ../source/dangling.ej > \
	  dangling.html

## maradns 1.2.10

=== parse/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MHOBJS=../libs/MaraHash.o
POBJ3=Csv2_rr_soa.o Csv2_database.o Csv2_rr_txt.o
POBJ2=Csv2_read.o Csv2_main.o Csv2_parse.o Csv2_rr_a.o Csv2_rr_aaaa.o $(POBJ3)
OUTOBJ=Csv2_esc_txt.o
POBJECTS=ParseMaraRc.o ParseCsv1.o ParseIpAcl.o Parse_ipv6.o $(POBJ2)
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
OBJECTS=$(JOBJS) $(MHOBJS) $(POBJECTS) $(DOBJECTS) $(OUTOBJ)
EXECS=parsetest parsetest2

#FLAGS = -g -Wall $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(POBJECTS) $(OUTOBJ)

clean:
	rm -f $(POBJECTS) core $(EXECS) $(OUTOBJ)

../libs/tests:
	cd libs ; make

ParseMaraRc.o: ParseMaraRc.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h ParseMaraRc_en.h
	$(CC) -c $(FLAGS) -o ParseMaraRc.o ParseMaraRc.c 

ParseCsv1.o: ParseCsv1.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o ParseCsv1.o ParseCsv1.c 

ParseIpAcl.o: ParseIpAcl.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o ParseIpAcl.o ParseIpAcl.c

Parse_ipv6.o: Parse_ipv6.c ../libs/MaraHash.h
	$(CC) -c $(FLAGS) -o Parse_ipv6.o Parse_ipv6.c

Csv2_esc_txt.o: Csv2_esc_txt.c ../libs/JsStr.h
	$(CC) -c $(FLAGS) -o Csv2_esc_txt.o Csv2_esc_txt.c

Csv2_main.o: Csv2_main.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_main.o Csv2_main.c

Csv2_read.o: Csv2_read.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_read.o Csv2_read.c

Csv2_parse.o: Csv2_parse.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_parse.o Csv2_parse.c

Csv2_rr_aaaa.o: Csv2_rr_aaaa.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_rr_aaaa.o Csv2_rr_aaaa.c

Csv2_rr_a.o: Csv2_rr_a.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_rr_a.o Csv2_rr_a.c

Csv2_rr_soa.o: Csv2_rr_soa.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_rr_soa.o Csv2_rr_soa.c

Csv2_rr_txt.o: Csv2_rr_txt.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_rr_txt.o Csv2_rr_txt.c

Csv2_database.o: Csv2_database.c ../libs/JsStr.h Csv2_read.h
	$(CC) -c $(FLAGS) -o Csv2_database.o Csv2_database.c

parsetest: parsetest.c $(OBJECTS) 
	$(CC) $(FLAGS) -o parsetest parsetest.c $(OBJECTS) 

parsetest2: parsetest2.c $(OBJECTS) 
	$(CC) $(FLAGS) -o parsetest2 parsetest2.c $(OBJECTS)

=== doc/en/man/Makefile ===
all: maradns.8 mararc.5 askmara.1 getzone.1 zoneserver.8 csv1.5 duende.8 \
	csv2.5 csv2_txt.5 fetchzone.1

ps: maradns.ps mararc.ps askmara.ps getzone.ps zoneserver.ps csv1.ps

clean:
	rm -f maradns.8 mararc.5 askmara.1 getzone.1 zoneserver.8 csv1.5 \
	maradns.ps mararc.ps askmara.ps getzone.ps zoneserver.ps csv1.ps \
	csv2.5 csv2_txt.5

duende.8: ../source/duende.ej 
	../../../tools/ej/ej2man ../source/duende.ej > duende.8

maradns.8: ../source/maradns.ej ../source/faq.embed ../source/credits.embed
	../../../tools/ej/ej2man ../source/maradns.ej > maradns.8

mararc.5: ../source/mararc.ej ../source/example_mararc
	../../../tools/ej/ej2man ../source/mararc.ej > mararc.5

askmara.1: ../source/askmara.ej
	../../../tools/ej/ej2man ../source/askmara.ej > askmara.1

getzone.1: ../source/getzone.ej
	../../../tools/ej/ej2man ../source/getzone.ej > getzone.1

fetchzone.1: ../source/fetchzone.ej
	../../../tools/ej/ej2man ../source/fetchzone.ej > fetchzone.1

zoneserver.8: ../source/zoneserver.ej
	../../../tools/ej/ej2man ../source/zoneserver.ej > zoneserver.8

csv1.5: ../source/csv1.ej ../examples/example_csv1
	../../../tools/ej/ej2man ../source/csv1.ej > csv1.5

csv2.5: ../source/csv2.ej ../examples/example_csv2
	../../../tools/ej/ej2man ../source/csv2.ej > csv2.5

csv2_txt.5: ../source/csv2_txt.ej 
	../../../tools/ej/ej2man ../source/csv2_txt.ej > csv2_txt.5

maradns.ps: maradns.8
	groff -mman -rS12 -Tps maradns.8 > maradns.ps

mararc.ps: mararc.5
	groff -mman -rS12 -Tps mararc.5 > mararc.ps

askmara.ps: askmara.1
	groff -mman -rS12 -Tps askmara.1 > askmara.ps

getzone.ps: getzone.1
	groff -mman -rS12 -Tps getzone.1 > getzone.ps

zoneserver.ps: zoneserver.8
	groff -mman -rS12 -Tps zoneserver.8 > zoneserver.ps

csv1.ps: csv1.5
	groff -mman -rS12 -Tps csv1.5 > csv1.ps

=== doc/en/text/Makefile ===
all: tutorial.txt \
     authoritative.txt compile.txt convert.txt recursive.txt \
     glossary.txt recordtypes.txt dangling.txt default_zonefile.txt \
     dnstcp.txt man.duende.txt dnsmaster.txt man.csv2_txt.txt \
     man.csv2.txt dnsslave.txt update.txt man.askmara.txt \
     man.fetchzone.txt man.zoneserver.txt man.maradns.txt \
     man.mararc.txt quick_start.txt dnsintro.txt

clean:
	rm -f *.txt 

man.maradns.txt: ../source/maradns.ej ../source/faq.embed
	../../../tools/ej/ej2txt ../source/maradns.ej > man.maradns.txt

man.mararc.txt: ../source/mararc.ej
	../../../tools/ej/ej2txt ../source/mararc.ej > man.mararc.txt

man.fetchzone.txt: ../source/fetchzone.ej
	../../../tools/ej/ej2txt ../source/fetchzone.ej > \
	    man.fetchzone.txt

man.zoneserver.txt: ../source/zoneserver.ej
	../../../tools/ej/ej2txt ../source/zoneserver.ej > \
	    man.zoneserver.txt

man.askmara.txt: ../source/askmara.ej
	../../../tools/ej/ej2txt ../source/askmara.ej > man.askmara.txt

man.csv2.txt: ../source/csv2.ej
	../../../tools/ej/ej2txt ../source/csv2.ej > man.csv2.txt

man.csv2_txt.txt: ../source/csv2.ej
	../../../tools/ej/ej2txt ../source/csv2_txt.ej > man.csv2_txt.txt

man.duende.txt: ../source/duende.ej
	../../../tools/ej/ej2txt ../source/duende.ej > man.duende.txt

tutorial.txt: ../source/tutorial.ej
	../../../tools/ej/ej2txt ../source/tutorial.ej > tutorial.txt

authoritative.txt: ../source/authoritative.ej
	../../../tools/ej/ej2txt ../source/authoritative.ej > \
	    authoritative.txt

compile.txt: ../source/compile.ej
	../../../tools/ej/ej2txt ../source/compile.ej > compile.txt

convert.txt: ../source/convert.ej
	../../../tools/ej/ej2txt ../source/convert.ej > convert.txt

recursive.txt: ../source/recursive.ej
	../../../tools/ej/ej2txt ../source/recursive.ej > \
	  recursive.txt

glossary.txt: ../source/glossary.ej
	../../../tools/ej/ej2txt ../source/glossary.ej > \
	  glossary.txt

recordtypes.txt: ../source/recordtypes.ej
	../../../tools/ej/ej2txt ../source/recordtypes.ej > \
	  recordtypes.txt

dangling.txt: ../source/dangling.ej
	../../../tools/ej/ej2txt ../source/dangling.ej > \
	  dangling.txt

default_zonefile.txt: ../source/default_zonefile.ej
	../../../tools/ej/ej2txt ../source/default_zonefile.ej > \
	  default_zonefile.txt

dnstcp.txt: ../source/dnstcp.ej
	../../../tools/ej/ej2txt ../source/dnstcp.ej > \
	  dnstcp.txt

dnsmaster.txt: ../source/dnsmaster.ej
	../../../tools/ej/ej2txt ../source/dnsmaster.ej > \
	  dnsmaster.txt

dnsslave.txt: ../source/dnsslave.ej
	../../../tools/ej/ej2txt ../source/dnsslave.ej > \
	  dnsslave.txt

update.txt: ../source/update.ej
	../../../tools/ej/ej2txt ../source/update.ej > update.txt

dnsintro.txt: ../source/dnsintro.ej
	../../../tools/ej/ej2txt ../source/dnsintro.ej > dnsintro.txt

quick_start.txt: ../source/quick_start.ej
	../../../tools/ej/ej2txt ../source/quick_start.ej > \
	    quick_start.txt

=== doc/en/webpage/Makefile ===
all: changelog.html contact.html dns_software.html download.html \
	faq-1.0.html faq.html index.html license.html notes.html \
	roadmap.html security.html

changelog.html: changelog.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page changelog.embed

contact.html: contact.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page contact.embed

dns_software.html: dns_software.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page dns_software.embed

download.html: download.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page download.embed

faq-1.0.html: faq-1.0.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page faq-1.0.embed

faq.html: faq.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page faq.embed

index.html: index.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page index.embed

license.html: license.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page license.embed

notes.html: notes.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page notes.embed

roadmap.html: roadmap.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page roadmap.embed

security.html: security.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page security.embed

## maradns 1.2.12.04-1etch2

=== dns/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 DOBJECTS=Queries.o Compress.o bobbit.o Decompress.o
 JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
-MJOBJS=../libs/MaraHash.o
-OBJECTS=$(DOBJECTS) $(JOBJS) $(MJOBJS)
+MHOBJS=../libs/MaraHash.o
+OBJECTS=$(DOBJECTS) $(JOBJS) $(MHOBJS)
 
-FLAGS = -g -O2 -Wall $(DEBUG)
+#FLAGS = -g -Wall $(DEBUG)
 #FLAGS = -g $(DEBUG)
 
 all: Queries.o Compress.o bobbit.o Decompress.o

=== qual/Makefile ===
DOBJECTS=qual_timestamp.o 
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
OBJECTS=$(DOBJECTS)

all: qual_timestamp.o

clean:
	rm -f qual_timestamp.o

qual_timestamp.o: qual_timestamp.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o qual_timestamp.o qual_timestamp.c

=== server/Makefile ===
SOBJECTS=MaraBigHash.o recursive.o timestamp.o read_kvars.o MaraAnyChain.o
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MHOBJS=../libs/MaraHash.o
MJOBJS=../qual/qual_timestamp.o
POBJ6=../parse/Csv2_rr_wks.o
POBJ5=../parse/Csv2_database.o ../parse/Csv2_rr_txt.o ../parse/Csv2_esc_txt.o
POBJ3=../parse/Csv2_rr_soa.o ../parse/Csv2_rr_aaaa.o ../parse/Csv2_rr_a.o
POBJ2=../parse/Csv2_read.o ../parse/Csv2_main.o ../parse/Csv2_parse.o $(POBJ3)
POBJ4=../parse/ParseIpAcl.o ../parse/Parse_ipv6.o $(POBJ2) $(POBJ6)
POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o $(POBJ4) $(POBJ5)
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
ROBJECTS=../rng/rng-api-fst.o ../rng/rng-alg-fst.o
XOBJECTS=$(JOBJS) $(MHOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS) $(ROBJECTS)
OBJECTS=$(SOBJECTS) $(XOBJECTS)
EXECS=maradns

#FLAGS = -g -Wall
#FLAGS = -g -DDEBUG -DCALL_LOCKS
#FLAGS = -g -DCALL_LOCKS $(DEBUG)
#FLAGS = -g -DDEBUG 
#FLAGS = -g -DDEBUG -DNOTHREAD
#FLAGS = -g $(DEBUG) -DNOTHREAD -DDEBUG
#FLAGS = -g -DDEBUG_MEMORY $(DEBUG) 
#FLAGS = -g $(DEBUG) 
#FLAGS = -g -Wall $(DEBUG) $(DEFINES)

all: $(EXECS)

clean:
	rm -f $(SOBJECTS) core $(EXECS) simple maradns.authonly *.exe

libs/tests:
	cd libs ; make

read_kvars.o: read_kvars.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o read_kvars.o read_kvars.c

MaraBigHash.o: MaraBigHash.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h MaraBigHash_locale.h
	$(CC) -c $(FLAGS) -o MaraBigHash.o MaraBigHash.c 

recursive.o: recursive.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o recursive.o recursive.c 

timestamp.o: timestamp.c MaraDNS_locale.h
	$(CC) -c $(FLAGS) -o timestamp.o timestamp.c

MaraAnyChain.o: MaraAnyChain.c
	$(CC) -c $(FLAGS) -o MaraAnyChain.o MaraAnyChain.c

maradns: MaraDNS.c $(OBJECTS) MaraDNS_locale.h
	$(CC) $(FLAGS) -DVERSION=\"$(VERSION)\" -DCOMPILED=\"$(COMPILED)\" -o maradns MaraDNS.c $(OBJECTS) -lpthread

simple: simple.c $(XOBJECTS) MaraDNS_locale.h
	$(CC) $(FLAGS) -DVERSION=\"$(VERSION)\" -DCOMPILED=\"$(COMPILED)\" -o simple $(OBJECTS) simple.c

=== tcp/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../qual/qual_timestamp.o
MHOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
POBJ6=../parse/Csv2_rr_wks.o
POBJ5=../parse/Csv2_database.o ../parse/Csv2_rr_txt.o ../parse/Csv2_esc_txt.o
POBJ3=../parse/Csv2_rr_soa.o ../parse/Csv2_rr_aaaa.o ../parse/Csv2_rr_a.o
POBJ2=../parse/Csv2_read.o ../parse/Csv2_main.o ../parse/Csv2_parse.o $(POBJ3)
POBJ4=../parse/ParseIpAcl.o ../parse/Parse_ipv6.o $(POBJ2) $(POBJ6)
POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o $(POBJ4) $(POBJ5)
OBJECTS=../parse/ParseCsv1.o ../parse/ParseMaraRc.o ../parse/ParseIpAcl.o
SOBJECTS=../server/timestamp.o ../server/MaraBigHash.o ../server/read_kvars.o \
	 ../server/MaraAnyChain.o
RNGOBJS=../rng/rng-api-fst.o ../rng/rng-alg-fst.o
TCPOBJS=libtcp.o
OBJECTS=$(JOBJS) $(MHOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS) $(SOBJECTS) \
	$(TCPOBJS)
EXECS=getzone zoneserver fetchzone

#FLAGS = -g -Wall $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f core $(EXECS) $(TCPOBJS) *.exe

getzone: getzone.c $(OBJECTS) 
	$(CC) $(FLAGS) -o getzone getzone.c $(OBJECTS)

fetchzone: fetchzone.c $(OBJECTS) 
	$(CC) $(FLAGS) -o fetchzone fetchzone.c $(OBJECTS) 

zoneserver: zoneserver.c zoneserver_en.h $(OBJECTS)
	$(CC) $(FLAGS) -DVERSION=\"$(VERSION)\" -o zoneserver zoneserver.c $(OBJECTS) $(RNGOBJS)

=== tools/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MHOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
SOBJECTS=../server/timestamp.o
OUTOBJ=../parse/Csv2_esc_txt.o
OBJECTS=$(JOBJS) $(MHOBJS) $(DOBJECTS) $(SOBJECTS)
ROBJECTS=../rng/rng-alg-fst.o ../rng/rng-api-fst.o
POBJECTS=../parse/ParseCsv1.o ../parse/ParseMaraRc.o 
Q=$(ROBJECTS) $(POBJECTS)
EXECS=askmara askmara-tcp strip.control benchmark duende

#FLAGS = -g $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f core $(EXECS) *.exe

askmara: askmara.c askmara_labels_en.h $(OBJECTS) $(Q) $(OUTOBJ)
	$(CC) $(FLAGS) -o askmara askmara.c $(OBJECTS) $(Q) $(OUTOBJ)

askmara-tcp: askmara-tcp.c askmara_labels_en.h $(OBJECTS) $(ROBJECTS) $(POBJECTS)
	$(CC) $(FLAGS) -o askmara-tcp askmara-tcp.c $(OBJECTS) $(ROBJECTS) $(POBJECTS)

benchmark: benchmark.c askmara_labels_en.h $(OBJECTS) $(POBJECTS)
	$(CC) $(FLAGS) -o benchmark benchmark.c $(OBJECTS) $(POBJECTS)

duende: duende.c 
	$(CC) $(FLAGS) -o duende duende.c

strip.control: strip.control.c
	$(CC) $(FLAGS) -o strip.control strip.control.c

=== tools/misc/Makefile ===
ROBJECTS=../../rng/rng-alg-fst.o ../../rng/rng-api-fst.o
EXECS=marahash mqhash

FLAGS = -g
#FLAGS = -g

all: $(EXECS)

clean:
	rm -f core $(EXECS)

marahash: $(ROBJECTS) rnghash.c
	$(CC) $(FLAGS) -o marahash rnghash.c $(ROBJECTS) 

mqhash: $(ROBJECTS) mqhash.c
	$(CC) $(FLAGS) -o mqhash mqhash.c $(ROBJECTS)

=== doc/en/text/Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
      dnstcp.txt man.duende.txt dnsmaster.txt man.csv2_txt.txt \
      man.csv2.txt dnsslave.txt update.txt man.askmara.txt \
      man.fetchzone.txt man.zoneserver.txt man.maradns.txt \
-     man.mararc.txt quick_start.txt dnsintro.txt
+     man.mararc.txt quick_start.txt dnsintro.txt \
+     win_service.txt
 
 clean:
 	rm -f *.txt 
@@ -90,3 +91,6 @@
 	../../../tools/ej/ej2txt ../source/quick_start.ej > \
 	    quick_start.txt
 
+win_service.txt: ../source/win_service.ej
+	../../../tools/ej/ej2txt ../source/win_service.ej > win_service.txt
+

=== doc/en/webpage/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 all: changelog.html contact.html dns_software.html download.html \
 	faq-1.0.html faq.html index.html license.html notes.html \
-	roadmap.html security.html
+	roadmap.html security.html advocacy.html
 
 changelog.html: changelog.embed maradns-1.2-top.html maradns-1.2-bottom.html
 	./make.page changelog.embed
@@ -34,3 +34,7 @@
 
 security.html: security.embed maradns-1.2-top.html maradns-1.2-bottom.html
 	./make.page security.embed
+
+advocacy.html: advocacy.embed maradns-1.2-top.html maradns-1.2-bottom.html
+	./make.page advocacy.embed
+

=== debian/changelog ===
maradns (1.2.12.04-1etch2) stable-security; urgency=high

  * Fix remote DoS

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed,  2 Jan 2008 20:05:55 +0000

maradns (1.2.12.04-1etch1) stable-security; urgency=high

  * Fix memleak DoS [CVE-2007-311[456]

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 21 Jun 2007 13:52:57 +0200

maradns (1.2.12.04-1) unstable; urgency=low

  * New upstream release
  * Source package contains non-free IETF RFC/I-D's (Closes: #393397)

 -- Kai Hendry <hendry@iki.fi>  Tue, 28 Nov 2006 08:54:23 -0300

maradns (1.2.12.03-1) unstable; urgency=low

  * New upstream release with many new doc tweaks. Though most of the changes
    are with the webpages which I have chosen not to distribute as you can
    read them all rather online at http://maradns.org/
  * The diffs in the Makefiles are due to upstream's configure script
  * Added bind2csv2.py as an example from upstream's tools/
    There is a lot of little scripts in tools/ which can probably join this

 -- Kai Hendry <hendry@iki.fi>  Mon,  9 Oct 2006 17:44:21 -0300

maradns (1.2.12.02-4) unstable; urgency=low

  * More tweaks to the init.

 -- Kai Hendry <hendry@iki.fi>  Mon,  9 Oct 2006 16:01:50 -0300

maradns (1.2.12.02-3) unstable; urgency=low

  * I applied patch in the wrong place. Thanks again to Boris Dorès

 -- Kai Hendry <hendry@iki.fi>  Sun,  8 Oct 2006 21:02:33 -0300

maradns (1.2.12.02-2) unstable; urgency=low

  * start/stop zoneserver (Closes: #384943)
    Thank you Boris Dorès for the patch
  * Need --oknodo in postinst (Closes: #386734)
  * Start maradns(19) before exim4(20)

 -- Kai Hendry <hendry@iki.fi>  Sun,  8 Oct 2006 19:32:22 -0300

maradns (1.2.12.02-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Wed, 23 Aug 2006 21:08:05 +0100

maradns (1.2.10-1) unstable; urgency=low

  * New upstream release
  * Added --oknodo to stop case
  * Stopping maradns: invoke-rc.d: initscript maradns, action "stop"
    failed. (Closes: #374655)

 -- Kai Hendry <hendry@iki.fi>  Wed, 21 Jun 2006 22:08:54 +0900

maradns (1.2.07.6-1) unstable; urgency=low

  * New upstream release
  * Microsoft doesn't follow DNS standards (Closes: #373701)

 -- Kai Hendry <hendry@iki.fi>  Sun, 18 Jun 2006 11:09:28 +0900

maradns (1.2.07.5-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Mon, 29 May 2006 21:35:46 +0900

maradns (1.2.07.1-1) unstable; urgency=low

  * New upstream release
  * http://www.maradns.org/tutorial/update.html#1.2.03

 -- Kai Hendry <hendry@iki.fi>  Wed, 22 Mar 2006 19:31:52 +0900

maradns (1.2.03.4-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Tue, 21 Mar 2006 11:39:29 +0900

maradns (1.2.03.3-1.1) unstable; urgency=low

  [ martin f. krafft ]
  * Non-maintainer upload.
  * Integrated resolvconf update script (closes: Bug#356725).

  [ Kai Hendry ]
  * Merging Martin's changes

 -- Kai Hendry <hendry@iki.fi>  Tue, 21 Mar 2006 11:35:13 +0900

maradns (1.2.03.3-1) unstable; urgency=low

  * New upstream release
  * fetchzone not included in package (Closes: #353738)

 -- Kai Hendry <hendry@iki.fi>  Tue, 21 Feb 2006 18:10:45 +0900

maradns (1.2.03.2-1) unstable; urgency=medium

  * New upstream release
  * New version of maradns available (Closes: #336366)

 -- Kai Hendry <hendry@iki.fi>  Sat,  4 Feb 2006 01:03:34 +0900

maradns (1.2.03.1-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Thu,  2 Feb 2006 11:37:14 +0900

maradns (1.2.00-1) unstable; urgency=low

  * New upstream release (3.5 years in the making!)
  * New version of maradns available (Closes: #336366)

 --  <hendry@iki.fi>  Thu, 22 Dec 2005 23:55:23 +0000

maradns (1.0.34-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Sat,  5 Nov 2005 13:28:08 +1100

maradns (1.0.32-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Mon, 29 Aug 2005 00:03:55 +1000

maradns (1.0.30-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Fri,  8 Jul 2005 09:56:44 +1000

maradns (1.0.28-1) unstable; urgency=medium

  * New upstream release that fixes 2.6 lockup problem

 -- Kai Hendry <hendry@cs.helsinki.fi>  Tue, 10 May 2005 03:03:06 +0100

maradns (1.0.27-1) unstable; urgency=high

  * New upstream release (sponsored upload)
  * Fixes security issue described here:
    http://www.maradns.org/download/patches/maradns-1.0.26-rekey_rng.patch
  * Closes: #307662: New upstreams; security fixies, bug fixes, etc..
  * Returned wildcard example

 -- Jaakko Niemi <liiwi@debian.org>  Fri,  6 May 2005 14:32:14 +0300

maradns (1.0.26-1) unstable; urgency=low

  * New upstream release
  * Thanks to my debian-jp collegues, especially Takatsugu 'Knok' Nokubi
    for lending me his laptop for this belated release
  * Thanks to Albert Lee for giving me his package to check mine against
  * Closes: #298018: README.Debian subdomain issues
  * Closes: #298019: README.Debian refers to nonexistant natalian.org
    pages
  * Thanks Charles Fry for the README corrections

 -- Kai Hendry <hendry@cs.helsinki.fi>  Mon, 18 Apr 2005 16:05:04 +0900

maradns (1.0.23-4) unstable; urgency=low

  * Sponsored upload
  * Closes: #269839: maradns: multiple server configuration broken
  * Added tutorial in README.Debian to set up a "wildcard" authoritative 
    server
  * Added wildcard example

 -- Jaakko Niemi <liiwi@debian.org>  Sun, 26 Sep 2004 16:47:16 +0300

maradns (1.0.23-3) unstable; urgency=low

  * Closes: #262613: garbage during initial installation
  * Closes: #262615: No manpages for binaries
  * Modified README with instructions for a typical maradns
    use case with apache's vhost alias

 -- Kai Hendry <hendry@cs.helsinki.fi>  Sun,  1 Aug 2004 20:04:01 +0300

maradns (1.0.23-2) unstable; urgency=low

  * Sponsored upload
  * Closes: #256028: New rc file does not start multiple servers
    properly. Thank you for the patch Chris Allegretta.


=== debian/control ===
Source: maradns
Section: net
Priority: extra
Maintainer: Kai Hendry <hendry@iki.fi>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.7.2

Package: maradns
Architecture: any
Depends: ${shlibs:Depends}, adduser
Description: Simple security-aware Domain Name Service server 
 An easy to configure DNS server that functions as a
 recursive and/or authoritative name server. Maradns is
 optimised for serving a small number of domains quickly and
 efficiently. Well suited to host your own private DNS server
 for making up subdomains with minimal fuss. Maradns is
 security-aware by utilising a special string library which
 is resistant to buffer overflows and mandating to run as an
 unprivileged user.
 .
 MaraDNS can be found from http://www.maradns.org/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	dh_install

	install -m755 debian/resolvconf-script \
	  debian/maradns/etc/resolvconf/update.d/maradns

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs doc/en/changelog.txt
	dh_installexamples
	dh_installinit --update-rcd-params="defaults 19"
	dh_installinit --name=zoneserver
	dh_installdocs -Xman -Xsource -Xfaq.html -XMakefile -Xps -Xmisc -Xchangelog -Xlogfile -Xdownload.html -Xwebpage -Xpdf
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# sometimes the index on the page is not updated btw!
# uscan --verbose --report
version=2
http://maradns.org/download/maradns-(.*)\.tar\.gz
